Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.xsql
Interface XSQLLogger

      public interface XSQLLogger

One of two interfaces that must be implemented to provide a custom logging implementation. The XSQL Page Processor asks the XSQLLoggerFactory associated with each request to create() an instance of an XSQLLogger to service the current request. If the factory implementation returns the same XSQLLogger instance to multiple requests, the logger implementation needs to be aware of this and synchronize access to any resources used for logging as necessary.

Method Summary
`void` `logRequestEnd(XSQLPageRequest env)` Event handler method invoked by the XSQL page processing engine at the end of the page request processing.
`void` `logRequestStart(XSQLPageRequest env)` Event handler method invoked by the XSQL page processing engine at the start of the page request processing.

Method Detail

### logRequestStart

    void logRequestStart(XSQLPageRequest env)

  Event handler method invoked by the XSQL page processing engine at the start of the page request processing. The event only fires for the top-level page request.

### logRequestEnd

    void logRequestEnd(XSQLPageRequest env)

  Event handler method invoked by the XSQL page processing engine at the end of the page request processing.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.